# CbcHeuristicPartial Class Reference

Partial solution class If user knows a partial solution this tries to get an integer solution it uses hotstart information. More...

`#include <CbcHeuristic.hpp>`

Inheritance diagram for CbcHeuristicPartial:
[legend]
Collaboration diagram for CbcHeuristicPartial:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicPartial ()
| CbcHeuristicPartial (CbcModel &model, int fixPriority=10000, int numberNodes=200)
| Constructor with model - assumed before cuts Fixes all variables with priority <= given and does given number of nodes.
| CbcHeuristicPartial (const CbcHeuristicPartial &)
| ~CbcHeuristicPartial ()
CbcHeuristicPartial & | operator= (const CbcHeuristicPartial &rhs)
| Assignment operator.
virtual CbcHeuristic * | clone () const
| Clone.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts
virtual void | validate ()
| Validate model i.e. sets when_ to 0 if necessary (may be NULL).
void | setFixPriority (int value)
| Set priority level.
virtual bool | shouldHeurRun (int whereFrom)
| Check whether the heuristic should run at all.
## Protected Attributes
int | fixPriority_

## Detailed Description

Partial solution class If user knows a partial solution this tries to get an integer solution it uses hotstart information.

Definition at line 489 of file CbcHeuristic.hpp.

## Constructor & Destructor Documentation

CbcHeuristicPartial::CbcHeuristicPartial | ( |  | ) |

CbcHeuristicPartial::CbcHeuristicPartial | ( | CbcModel & | model,
|  | int | fixPriority = `10000`,
|  | int | numberNodes = `200` |
| ) |  |  |

Constructor with model - assumed before cuts Fixes all variables with priority <= given and does given number of nodes.

CbcHeuristicPartial::CbcHeuristicPartial | ( | const CbcHeuristicPartial & |  | ) |

CbcHeuristicPartial::~CbcHeuristicPartial | ( |  | ) |

## Member Function Documentation

CbcHeuristicPartial& CbcHeuristicPartial::operator= | ( | const CbcHeuristicPartial & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual CbcHeuristic* CbcHeuristicPartial::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

virtual void CbcHeuristicPartial::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicPartial::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicPartial::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicPartial::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements CbcHeuristic.

virtual void CbcHeuristicPartial::validate | ( |  | ) | `[virtual]`

Validate model i.e. sets when_ to 0 if necessary (may be NULL).

Reimplemented from CbcHeuristic.

void CbcHeuristicPartial::setFixPriority | ( | int | value | ) | `[inline]`

Set priority level.

Definition at line 534 of file CbcHeuristic.hpp.

virtual bool CbcHeuristicPartial::shouldHeurRun | ( | int | whereFrom | ) | `[virtual]`

Check whether the heuristic should run at all.

Reimplemented from CbcHeuristic.

## Member Data Documentation

int CbcHeuristicPartial::fixPriority_`[protected]`

Definition at line 545 of file CbcHeuristic.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcHeuristic.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines